| Kea 3.0.2-git

cfg_db_access.h File Reference
`#include <cc/cfg_to_element.h>`
`#include <database/database_connection.h>`
`#include <boost/shared_ptr.hpp>`
`#include <string>`
`#include <list>`
Include dependency graph for cfg_db_access.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::dhcp::CfgDbAccess
| Holds access parameters and the configuration of the lease and hosts database connection. More...
struct | isc::dhcp::CfgHostDbAccess
struct | isc::dhcp::CfgLeaseDbAccess
| utility class for unparsing More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::dhcp

## Typedefs
typedef boost::shared_ptr< CfgDbAccess > | isc::dhcp::CfgDbAccessPtr
| A pointer to the `CfgDbAccess`.
typedef boost::shared_ptr< const CfgDbAccess > | isc::dhcp::ConstCfgDbAccessPtr
| A pointer to the const `CfgDbAccess`.